function [P, Q]=effekt(maaling)

% Change default axes fonts.
set(0,'DefaultAxesFontName', 'Calibri')
set(0,'DefaultAxesFontSize', 12)

% Change default text fonts.
set(0,'DefaultTextFontname', 'Calibri')
set(0,'DefaultTextFontSize', 12)
u1=maaling(:,2)';
i1=maaling(:,3)';

fs=25000;

hold
[uph,tn,f]=MaxFlatDiffFourCycle(u1,fs);
hold
[iph,tn,f]=MaxFlatDiffFourCycle(i1,fs);


figure(9) 
plot(tn, abs(uph), tn, abs(iph),'LineWidth',2);
legend('U','I')
xlabel('[sec]')
ylabel('[V], [A]')
title('Generator output voltage and current')
grid ON
figure(10) 
plot(tn, angle(uph)*180/pi, tn, angle(iph)*180/pi,'LineWidth',2);
legend('U angle','I angle')
xlabel('[sec]')
ylabel('[degrees]')
title('Generator output voltage and current phasor angle')
grid ON

uphase=(1/(sqrt(3)*sqrt(2)))*uph.*exp(-j*(-150*pi/180));
iphase=iph/sqrt(2);
grid ON
figure(7)
plot(tn,angle(uphase)*180/pi,tn,angle(iphase)*180/pi,'LineWidth',2)
legend('U','I')
grid ON
figure(8)
plot(tn,abs(uphase),tn,abs(iphase),'LineWidth',2)
legend('U','I')
xlabel('[sec]')
ylabel('[V], [A]')
title('Generator output voltage and current')
grid ON

figure(11)
plot(tn,abs(uphase),'LineWidth',2)
xlabel('[sec]')
ylabel('[V]')
title('Voltage magnitude, U')
legend('U')
grid ON

figure(12)
plot(tn,abs(iphase),'LineWidth',2)
xlabel('[sec]')
ylabel('[A]')
title('Current magnitude, I')
legend('I')
grid ON

P=zeros(length(uphase),1);
Q=zeros(length(uphase),1);
for i=1:length(uphase);
     P(i)=3*abs(uphase(i))*abs(iphase(i))*cos(-angle(iphase(i))+angle(uphase(i)));
     Q(i)=3*abs(uphase(i))*abs(iphase(i))*sin(-angle(iphase(i))+angle(uphase(i)));
end

%v_ph=angle(uphase(20))*180/pi
%i_ph=angle(iphase(20))*180/pi
 
% v_mag=abs(uphase(20))
% i_mag=abs(iphase(20))

grid ON
figure(3)
plot(tn,P/1000,'LineWidth',2)
axis([0 4 4 20])
xlabel('[sec]')
ylabel('[kW]')
title('Generator output active power, P')
grid ON
legend('P')

figure(4)
plot(tn,Q/1000,'LineWidth',2)
axis([0 4 1 7])
xlabel('[sec]')
ylabel('[kVAr]')
title('Generator output reactive power, Q')
grid ON
legend('Q')
%figure(5)
%plot(tn,sin(angle(uph(i))-(angle(iph(i)))))

tid=zeros(length(maaling),1);
for n=1:length(maaling)
    tid(n)=maaling(n,1)+2;
end

vf1=maaling(:,5)*2;

A=[1];
B=ones(1,100)*(1/100)
vf=filter(B,A,vf1);
figure(20)
plot(tid,vf,'LineWidth',2)
axis([0 4 0 20])

xlabel('[sec]')
ylabel('[V]')
title('Field voltage, Vf')
legend('Vf')
grid ON

end